HomeGuidesAPI ReferenceGuidesMRT APIConfiguration API
GitHubAirheads Developer Community
API Reference

Get a device inventory list across managed tenants

This API endpoint retrieves a list of network devices in inventory across all tenants managed by a Managed Service Provider (MSP), such as access points, switches, and gateways. The API includes devices that are yet to be onboarded, as well as those already onboarded and currently being monitored by the system. In addition to the standard device details such as serial number, device name, part number, deployment, device function, scope ID, device group ID, and provisioning status, each device in the returned list also includes the identifier and name of the tenant that owns the device. The query parameters allow you to narrow down the results to devices that meet specific criteria, ensuring you receive only the relevant data.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
length ≤ 256

OData Version 4.0 filter string (limited functionality). Supports only 'and' conjunction; ('or' and 'not' are NOT supported). Supported fields and operators are in the below given table.

FieldOperators
tenantIdeq and in
tenantNameeq and in
siteIdeq and in
siteNameeq and in
serialNumbereq and in
deviceNameeq and in
deviceTypeeq and in
modeleq and in
firmwareVersioneq and in
deviceFunctioneq and in
isProvisionedeq and in
deviceGroupNameeq and in

The operators are implemented as follows:

  • eq: Only values exactly matching the given value are returned.

  • in: Only values present in the given list are returned.

string
length ≤ 256

A comma-separated list of sort expressions. Each sort expression is a property name optionally followed by a direction indicator asc (ascending) or desc (descending).

The first sort expression in the list defines the primary sort order, the second defines the secondary sort order, and so on. If a direction indicator is omitted the default direction is ascending.
Supported fields are tenantId, tenantName, siteId, siteName, serialNumber, deviceName, deviceType, ipv4, model, deviceGroupName, and deviceFunction.

string
enum

Specifies the site assignment status of the devices. Can be either "ASSIGNED" or "UNASSIGNED".

Allowed:
int32
≤ 1000
Defaults to 20

Specifies the maximum number of devices returned in the response. Maximum value is 1000. Defaults to 20 when not specified.

string

Specifies the pagination cursor for the next page of resources.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json